<template>
    <div>
        <component
            v-if="data.key"
            v-bind:is="data.key"
            :compData="data"
        ></component>
    </div>
</template>

<script>
import moduleRouter from '@/module_components.js'
export default {
    name: 'reportFillingComp',
    components: {
        ...moduleRouter,
    },
    data() {
        return {
            title: 'filling',
            compId: null,
            data: {
                key: '',
            },
        }
    },
    mounted() {
        this.compId = this.$route.query.id
        this.getCompData() // 获取头部tabs数据
    },
    methods: {
        getCompData() {
            this.$http
                .get('${portal}/qfReportInfo/v1/' + this.compId)
                .then((res) => {
                    if (res && res.data) {
                        this.data = res.data
                    }
                })
        },
    },
}
</script>

<style>
</style>